/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbLinkbaseLocatorObj {
    // ロケータ ID
    private long locator_id;
    // LinkBaseRef ID
    private long linkbaseref_id;
    // href属性
    private String loc_href;
    // href識別子
    private String loc_identifier;
    // label属性
    private String loc_label;
    // title属性
    private String loc_title;
    // role属性
    private String loc_role;
    
    /**
     * @return linkbaseref_id
     */
    protected long getLinkbaseref_id() {
        return linkbaseref_id;
    }
    /**
     * @param linkbaseref_id 設定する linkbaseref_id
     */
    protected void setLinkbaseref_id(long linkbaseref_id) {
        this.linkbaseref_id = linkbaseref_id;
    }
    /**
     * @return loc_href
     */
    protected String getLoc_href() {
        return loc_href;
    }
    /**
     * @param loc_href 設定する loc_href
     */
    protected void setLoc_href(String loc_href) {
        this.loc_href = loc_href;
    }
    /**
     * loc_identifierを取得します。
     * @return loc_identifier
     */
    protected String getLoc_identifier() {
        return loc_identifier;
    }
    /**
     * loc_identifierを設定します。
     * @param loc_identifier loc_identifier
     */
    protected void setLoc_identifier(String loc_identifier) {
        this.loc_identifier = loc_identifier;
    }
    /**
     * @return loc_label
     */
    protected String getLoc_label() {
        return loc_label;
    }
    /**
     * @param loc_label 設定する loc_label
     */
    protected void setLoc_label(String loc_label) {
        this.loc_label = loc_label;
    }
    /**
     * @return loc_role
     */
    protected String getLoc_role() {
        return loc_role;
    }
    /**
     * @param loc_role 設定する loc_role
     */
    protected void setLoc_role(String loc_role) {
        this.loc_role = loc_role;
    }
    /**
     * @return loc_title
     */
    protected String getLoc_title() {
        return loc_title;
    }
    /**
     * @param loc_title 設定する loc_title
     */
    protected void setLoc_title(String loc_title) {
        this.loc_title = loc_title;
    }
    /**
     * @return locator_id
     */
    protected long getLocator_id() {
        return locator_id;
    }
    /**
     * @param locator_id 設定する locator_id
     */
    protected void setLocator_id(long locator_id) {
        this.locator_id = locator_id;
    }
}
